GST APIEnvironment:
Default OTP575757
API Reference
Overview
Public
Authentication
GSTR
GSTR1
GSTR1A
GSTR2A
GSTR2B
GSTR2X
GSTR3B
GSTR4
GSTR4A
GSTR4Annual
Save GSTR4Annual dataPUT
Get tdscmp InvoicesGET
Get txios InvoicesGET
Get validate turnover for GSTR4 Annual formGET
Get validate the liability provided in table 6 for GSTR4 Annual formGET
Get autopopulated data for table 4A/4B of GSTR4 Annual formGET
Get summary InvoicesGET
File GSTR4Annual dataPOST
File GSTR4 Annual dataPOST
GSTR5
GSTR6
GSTR6A
GSTR7
GSTR8
GSTR9
GSTR9A
GSTR9C
SPIKE
ALL
IMS
ITC03
ITC04
CMP
Payment
Ledger
e-Invoice
Notices

GSTR-4 Annual TDS Credit for Composition

GEThttps://apisandbox.whitebooks.in/gstr4annual/tdscmp

Getting the CMP 08 and TDSTCS summary data for a return period.

Parameters

query parameters
emailstringrequired
Email
gstinstringrequired
GSTIN of the taxpayer
retperiodstringrequired
Return Period format MMYYYY
header parameters
gst_usernamestringrequired
GST UserName
state_cdstringrequired
State Code
ip_addressstringrequired
IP Address
txnstringrequired
Transaction
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP GET to /gstr4annual/tdscmp. Required parameters: email (query parameter), gstin (query parameter), retperiod (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.
For Get tdscmp Invoices (GET /gstr4annual/tdscmp), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
Getting the CMP 08 and TDSTCS summary data for a return period.
GET/gstr4annual/tdscmp
1const response = await fetch('https://apisandbox.whitebooks.in/gstr4annual/tdscmp?email=value&gstin=value&retperiod=value', {
2 method: 'GET',
3 headers: {
4 gst_username: "value",
5 state_cd: "value",
6 ip_address: "value",
7 txn: "value",
8 client_id: "value",
9 client_secret: "value"
10},
11});
12
13const data = await response.json();
14console.log(data);
No example available.